import 'package:domain/entity/facility_page_entity.dart';

class FacilityDetailState {
  final FacilityDetail? detail;

  FacilityDetailState({
    this.detail,
  });

  FacilityDetailState copyWith({
    FacilityDetail? detail,
  }) {
    return FacilityDetailState(
      detail: detail ?? this.detail,
    );
  }
}
